org.apache.maven.archiver

## Class MavenArchiveConfiguration

- java.lang.Object
- - org.apache.maven.archiver.MavenArchiveConfiguration

    public class MavenArchiveConfiguration
    extends Object

Capture common archive configuration.

Version:
  $Id: MavenArchiveConfiguration.java 1233956 2012-01-20 15:27:43Z olamy $
Author:
  Brett Porter

### Constructor Summary

Constructors
Constructor and Description
`MavenArchiveConfiguration()`

### Method Summary

Methods
`void` `addManifestEntries(Map<String,String> map)`
`void` `addManifestEntry(String key, String value)`
`void` `addManifestSection(ManifestSection section)`
`void` `addManifestSections(List<ManifestSection> list)`
`ManifestConfiguration` `getManifest()`
`Map<String,String>` `getManifestEntries()`
`File` `getManifestFile()`
`List<ManifestSection>` `getManifestSections()`
`File` `getPomPropertiesFile()` Returns the location of the "pom.properties" file.
`boolean` `isAddMavenDescriptor()`
`boolean` `isCompress()`
`boolean` `isForced()` Returns, whether recreating the archive is forced (default).
`boolean` `isIndex()`
`boolean` `isManifestEntriesEmpty()`
`boolean` `isManifestSectionsEmpty()`
`void` `setAddMavenDescriptor(boolean addMavenDescriptor)`
`void` `setCompress(boolean compress)`
`void` `setForced(boolean forced)` Sets, whether recreating the archive is forced (default).
`void` `setIndex(boolean index)`
`void` `setManifest(ManifestConfiguration manifest)`
`void` `setManifestEntries(Map manifestEntries)`
`void` `setManifestFile(File manifestFile)`
`void` `setManifestSections(List<ManifestSection> manifestSections)`
`void` `setPomPropertiesFile(File pomPropertiesFile)` Sets the location of the "pom.properties" file.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MavenArchiveConfiguration

    public MavenArchiveConfiguration()

### Method Detail

#### isCompress

    public boolean isCompress()

#### isIndex

    public boolean isIndex()

#### isAddMavenDescriptor

    public boolean isAddMavenDescriptor()

#### getManifestFile

    public File getManifestFile()

#### getManifest

    public ManifestConfiguration getManifest()

#### setCompress

    public void setCompress(boolean compress)

#### setIndex

    public void setIndex(boolean index)

#### setAddMavenDescriptor

    public void setAddMavenDescriptor(boolean addMavenDescriptor)

#### setManifestFile

    public void setManifestFile(File manifestFile)

#### setManifest

    public void setManifest(ManifestConfiguration manifest)

#### addManifestEntry

    public void addManifestEntry(String key,
                        String value)

#### addManifestEntries

    public void addManifestEntries(Map<String,String> map)

#### isManifestEntriesEmpty

    public boolean isManifestEntriesEmpty()

#### getManifestEntries

    public Map<String,String> getManifestEntries()

#### setManifestEntries

    public void setManifestEntries(Map manifestEntries)

#### addManifestSection

    public void addManifestSection(ManifestSection section)

#### addManifestSections

    public void addManifestSections(List<ManifestSection> list)

#### isManifestSectionsEmpty

    public boolean isManifestSectionsEmpty()

#### getManifestSections

    public List<ManifestSection> getManifestSections()

#### setManifestSections

    public void setManifestSections(List<ManifestSection> manifestSections)

#### isForced

    public boolean isForced()

Returns, whether recreating the archive is forced (default). Setting this option to false means, that the archiver should compare the timestamps of included files with the timestamp of the target archive and rebuild the archive only, if the latter timestamp precedes the former timestamps. Checking for timestamps will typically offer a performance gain (in particular, if the following steps in a build can be suppressed, if an archive isn't recrated) on the cost that you get inaccurate results from time to time. In particular, removal of source files won't be detected.

An archiver doesn't necessarily support checks for uptodate. If so, setting this option to true will simply be ignored.

Returns:
  True, if the target archive should always be created; false otherwise
See Also:
  `setForced(boolean)`

#### setForced

    public void setForced(boolean forced)

Sets, whether recreating the archive is forced (default). Setting this option to false means, that the archiver should compare the timestamps of included files with the timestamp of the target archive and rebuild the archive only, if the latter timestamp precedes the former timestamps. Checking for timestamps will typically offer a performance gain (in particular, if the following steps in a build can be suppressed, if an archive isn't recrated) on the cost that you get inaccurate results from time to time. In particular, removal of source files won't be detected.

An archiver doesn't necessarily support checks for uptodate. If so, setting this option to true will simply be ignored.

Parameters:
  `forced` - True, if the target archive should always be created; false otherwise
See Also:
  `isForced()`

#### getPomPropertiesFile

    public File getPomPropertiesFile()

Returns the location of the "pom.properties" file. May be null, in which case a default value is choosen.

Returns:
  "pom.properties" location or null.

#### setPomPropertiesFile

    public void setPomPropertiesFile(File pomPropertiesFile)

Sets the location of the "pom.properties" file. May be null, in which case a default value is choosen.

Parameters:
  `pomPropertiesFile` - "pom.properties" location or null.